ranges::adaptor_cursor< BaseIter, Adapt > Struct Template Reference
Views
Inheritance diagram for ranges::adaptor_cursor< BaseIter, Adapt >:

## Friends

template<typename , typename >
struct | adaptor_cursor

## Public Member Functions

| adaptor_cursor (BaseIter iter, Adapt adapt)
template<typename OtherIter , typename OtherAdapt >
| adaptor_cursor (adaptor_cursor< OtherIter, OtherAdapt > that) requires defer